// Code generated by mockery v2.12.2. DO NOT EDIT.

package mocks

import (
	task "github.com/hgcassiopeia/todo-list/task"
	mock "github.com/stretchr/testify/mock"

	testing "testing"
)

// Database is an autogenerated mock type for the Database type
type Database struct {
	mock.Mock
}

// GetAll provides a mock function with given fields:
func (_m *Database) GetAll() []*task.Task {
	ret := _m.Called()

	var r0 []*task.Task
	if rf, ok := ret.Get(0).(func() []*task.Task); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*task.Task)
		}
	}

	return r0
}

// Save provides a mock function with given fields: _a0
func (_m *Database) Save(_a0 []*task.Task) {
	_m.Called(_a0)
}

// NewDatabase creates a new instance of Database. It also registers the testing.TB interface on the mock and a cleanup function to assert the mocks expectations.
func NewDatabase(t testing.TB) *Database {
	mock := &Database{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
